﻿using PDF_Office.Model.EditTools.Background;
using PDF_Office.Model.EditTools.Watermark;
using Prism.Events;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PDF_Office.EventAggregators
{

    public enum EnumTemplateListOrCreate
    {
        StatusNone = -1,
        StatusTemplate,
        StatusCreate
    }

    public enum EnumColorOrFile
    {
        StatusNone = -1,
        StatusColor,
        StatusFile
    }

    public enum EnumTextOrFile
    {
        StatusNone = -1,
        StatusText,
        StatusFile
    }

    public class EnterSelectedEditToolEvent : PubSubEvent<string>
    {
    }

    public class CloseEditToolEvent : PubSubEvent
    {
    }

    public class EnterTemplateListOrCreateEvent : PubSubEvent<EnumTemplateListOrCreate>
    {
    }

    public class SaveBackgroundToTemplateListEvent : PubSubEvent<BackgroundInfo>
    {
    }

    public class ConfirmEditToolsBackgroundEvent : PubSubEvent
    {
    }

    public class ConfirmEditToolsWatermarkEvent : PubSubEvent
    {
    }

    public class SetCurrentCreateModEvent : PubSubEvent<string>
    {
    }

    public class SetCurrentTemplateListModEvent : PubSubEvent<string>
    {
    }

    public class SetBackgroundEvent : PubSubEvent<BackgroundInfo>
    {
    }

    public class SetWatermarkEvent : PubSubEvent<WatermarkInfo>
    {
    }

    public class SaveBackgroundTemplateEvent : PubSubEvent<EnumColorOrFile>
    {
    }

    public class SaveWatermarkTemplateEvent : PubSubEvent<EnumTextOrFile>
    {
    }

}
